Skip to main content
POST
JavaScript

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Browser session ID

Body

application/json

Request to execute a command synchronously.

command
string
required

Executable or shell command to run.

args
string[]

Command arguments.

cwd
string | null

Working directory (absolute path) to run the command in.

Pattern: ^/.*
env
object

Environment variables to set for the process.

as_user
string | null

Run the process as this user.

as_root
boolean
default:false

Run the process with root privileges.

timeout_sec
integer | null

Maximum execution time in seconds.

allocate_tty
boolean
default:false

Allocate a pseudo-terminal (PTY) for interactive shells.

rows
integer

Initial terminal rows. Only used when allocate_tty is true.

Required range: 1 <= x <= 65535
cols
integer

Initial terminal columns. Only used when allocate_tty is true.

Required range: 1 <= x <= 65535

Response

Spawned

Information about a spawned process.

process_id
string<uuid>

Server-assigned identifier for the process.

pid
integer

OS process ID.

started_at
string<date-time>

Timestamp when the process started.